Subject: Re: [PATCH] Lose perl dependency. (fwd)

From: David Kågedal <[email-masked]>
Date: Sun, 21 Jan 2007 23:16:43 +0100

Junio C Hamano <[email-masked]> writes:

> Bill Lear <[email-masked]> writes:
>
>> How about a '--order' switch?
>>
>>    --order=chrono[logical]
>>    --order=rev[erse][-chrono[logical]] (default)
>>
>> The switches "--reverse" and "--noreverse" are certainly confusing in
>> the context of a default that is "reverse chronological order".
>
> I think --reverse is just fine.  It is "reverse" from usual, and
> people already know (or they should learn) what the usual order
> is.
>
>> BTW, my mailer is defaulting to sending mail to the original poster,
>> CCing others, including the mailing list.  I'm used to simply replying
>> to the list.  Is this the proper convention here, to reply directly to
>> humans and CC the list?
>
> I only speak for myself, but I always prefer to address my
> message's To: header to the person I am primarily talking to,
> while leaving other people on Cc: line (which usually includes
> the list address).

I, on the other hand, have recently been annoyed by having my inbox
filled with mails that I already can read on the list (actually the
gmane newsgruop).  So there is probably not a single good answer.

-- 
David Kågedal